Subject: Re: bug#29225: Tramp backup-by-copying in a Converting ACL Invalid argument error on Windows 7

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Nov 2017 15:06:49 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Shuguang Sun <[email-masked]>,  [email-masked]
> Date: Fri, 10 Nov 2017 13:41:04 +0100
> 
> "Value is t if setting of ACL was successful, nil otherwise."
> 
> The error message "Converting ACL" "Invalid argument" comes from
> Ffile_acl of fileio.c. It *raises* an error instead of silently
> returning Qnil, as advertised by the docstring. A similar wrong
> behaviour I've found in `tramp-smb-handle-set-file-acl'.
> 
> I would convert both functions to return nil instead of raising an
> error, in the emacs-26 branch. Any objection?

I think it should return nil when acl_errno_valid returns false, and
otherwise signal an error.  It currently calls acl_errno_valid in one
of the two places where error could happen, but not in the other.  And
the doc string should be amended to say that.  WDYT?